# config/packages/liip_imagine.yaml
# Documentation officielle :
# https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html

liip_imagine:
    # Moteur de traitement d’image
    # "gd" est supporté par défaut ; "imagick" ou "gmagick" offrent de meilleures performances
    driver: "gd"

    # Emplacement où les miniatures générées sont mises en cache
    resolvers:
        default:
            web_path:
                web_root: '%kernel.project_dir%/public'
                cache_prefix: 'media/cache'

    # Chargeur de fichiers (utile si les images sont servies depuis /public)
    loaders:
        default:
            filesystem:
                data_root:
                    - '%kernel.project_dir%/public'

    # Définition des filtres (ensembles de transformations)
    filter_sets:
        # Nécessaire au fonctionnement interne du bundle
        cache: ~

        # ✅ Miniature utilisée dans la galerie (le filtre manquant)
        thumbnail_small:
            quality: 80
            filters:
                thumbnail:
                    size: [220, 180]     # Taille des vignettes de la galerie
                    mode: outbound       # Recadre sans bandes
                    allow_upscale: false

        # Miniature utilisée pour les petites annonces
        ad_thumb:
            quality: 85
            filters:
                thumbnail:
                    size: [400, 300]     # Format 4:3
                    mode: outbound
                    allow_upscale: true

        # Miniature pour les articles / actualités
        article_thumb:
            quality: 85
            filters:
                thumbnail:
                    size: [600, 400]     # Format 3:2
                    mode: outbound
                    allow_upscale: true

        # Miniature carrée (avatars, grilles, icônes)
        square_thumb:
            quality: 85
            filters:
                thumbnail:
                    size: [300, 300]     # Format 1:1
                    mode: outbound
                    allow_upscale: true

        # Format panoramique pour bannières / en-têtes
        banner_wide:
            quality: 85
            filters:
                thumbnail:
                    size: [1200, 400]    # Format 3:1
                    mode: outbound
                    allow_upscale: true
